import containerConnect from 'Framework/ComponentContainer';
import { Services } from 'App/ServiceLocator';
import CloseGraphicsEditorButton from '../Components/CloseGraphicsEditorButton';

const mapStateToProps = () => {
    return {
        Component: CloseGraphicsEditorButton,
    };
};

const mapDispatchToProps = () => {
    return {
        closeDesignArea: () => Services.designData.clearDesignAreaSelection(),
    };
};

export default containerConnect(mapStateToProps, mapDispatchToProps);
